#!/usr/bin/python
"""
Mark Hasegawa-Johnson
5/1/2017
"""

import scipy.fftpack 
import scipy.ndimage as ndi
import scipy.misc
import math

# directory in which to write output frames
outputdir = "outputframes"
# frames 001-230: catwindow/001.png - cat video, 1920x1080
inputdir = 'catwindow'
for n in range(1,231):
    inputfile = '%s/IMGP%3.3d.png' % (inputdir, n)
    img = ndi.imread(inputfile)
    outputfile = '%s/image%4.4d.png' % (outputdir, n)
    scipy.misc.imsave(outputfile, img)

# frames 231-255: hold the last cat image for 25 fram
for n in range(231,256):
    outputfile = '%s/image%4.4d.png' % (outputdir, n)
    scipy.misc.imsave(outputfile, img)

# frames 256-355: blue circle, centered at [325,1050],
#   radius range(1200,200,-1000/100) per frame, 4 seconds
xcenter = 1050
ycenter = 325
(ny,nx,ncolors) = img.shape
for n in range(256,356):
    radius = 200 + 10*(355-n)
    for x in range(0,nx):
        for y in range(0,ny):
            if (x-xcenter)**2 + (y-ycenter)**2 > radius**2:
                for c in range(0,ncolors):
                    img[y,x,c] = 0
    for theta in range(0,360):
        for r in range(0,5):
            xcoord = xcenter + (radius-r)*math.cos(2*math.pi*theta/360)
            xcoord = int(max(0,min(nx-1,xcoord)))
            ycoord = ycenter + (radius-r)*math.sin(2*math.pi*theta/360)
            ycoord = int(max(0,min(ny-1,ycoord)))
            for c in range(0,ncolors):
                img[ycoord,xcoord,c] = 0
            img[ycoord,xcoord,2] = 255 # 2=blue, 255=maximum value
    outputfile = '%s/image%4.4d.png' % (outputdir, n)
    scipy.misc.imsave(outputfile, img)




    
